Make use of multiple file monitor instances easier/possible
Status: Resolved Start date: 2012-04-25
Priority: Should have Due date:

Assignee: Robert Lemke % Done: 100%
Category: Monitor Estimated time: 0.00 hour
Target version: 1.1

PHP Version: Complexity:

Has patch: No

Description

The fact that the FileMonitor doesn't use it's identifier internally (for caching) and the fact that the ModificationTimeStrategy is
singleton do not really make the use of multiple file monitor instances easier...

Associated revisions

Revision cf6bb691 - 2012-04-25 23:21 - Karsten Dambekalns
[M[FEATURE] FileMonitor now uses identifier and has getldentifier()

This change makes the FileMonitor use the identifier internally and
provides a getldentifier() method. With this, using multiple file
monitors becomes feasible.

The "ChangeDetectionStrategyInterface" contains the two new methods
"setFileMonitor" and "shutdownObject" now, so if you implemented your
own change detection strategy, you need to implement those.

The ModificationTimeStrategy provided with FLOWS is no longer singleton
and thus usable with multiple file monitor instances in parallel.

Change-Id: Ic90168e0fala156a343be0997631b4995ec1aelc

Resolves: #36568
Releases: 1.1

History

#1 - 2012-04-25 18:00 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10764

#2 - 2012-04-25 22:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10764

#3 - 2012-04-25 23:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/10764

#4 - 2012-04-26 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset cf6bb6911b4{609a59a8cf7986f364162a18abed.
